docs: Small fixes and ordering
* deactivtates the TODOs on doxygen (were empty)
* This move punt.md to readthedocs (should be the new
place for dev doc ?)
* Makes Handoff queue demo plugin a child of dev doc
in doxygen
Type: fix
Change-Id: I1f0476a911b35208212af8dd608bc76160efd22a
Signed-off-by: Nathan Skrzypczak <nathan.skrzypczak@gmail.com>
diff --git a/docs/gettingstarted/developers/index.rst b/docs/gettingstarted/developers/index.rst
index 4f2c38d..fe26578 100644
--- a/docs/gettingstarted/developers/index.rst
+++ b/docs/gettingstarted/developers/index.rst
@@ -38,3 +38,4 @@
eventviewer
fib20/index.rst
buildwireshark
+ punt
diff --git a/docs/gettingstarted/developers/punt.rst b/docs/gettingstarted/developers/punt.rst
new file mode 120000
index 0000000..0a56632
--- /dev/null
+++ b/docs/gettingstarted/developers/punt.rst
@@ -0,0 +1 @@
+../../../src/vnet/ip/punt.rst
\ No newline at end of file
diff --git a/docs/scripts/prepare-for-site.sh b/docs/scripts/prepare-for-site.sh
new file mode 100755
index 0000000..15888ba
--- /dev/null
+++ b/docs/scripts/prepare-for-site.sh
@@ -0,0 +1,18 @@
+#!/bin/bash
+
+if [ ! -d "docs" ]; then
+ echo "This script is meant to be run from the root directory"
+ exit 1;
+fi
+
+for f in $(find ./docs -type l)
+do
+ target=$(readlink $f)
+ rm $f
+ cp $(dirname $f)/$target $(dirname $f)/$(basename $target)
+ echo "Replaced symlink $f"
+done
+
+echo "Cleaning doc build directory"
+make docs-clean
+